<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h3>Kuisioner Kesiapan Inovasi</h3>
                        <!-- <p>21 Indikator dari Data Isian Inovasi Daerah. Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p> -->
                        <br>
                        <p style="color:red;">Required</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <!-- <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups"> -->
                            <!-- <div class="btn-group mr-2" role="group" aria-label="First group"> -->
                                Keterangan : &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-danger" style="pointer-events: none"></a>
                                Belum Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-warning" style="pointer-events: none"></a>
                                Belum Lengkap &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-success" style="pointer-events: none"></a>
                                Sudah Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-light" style="pointer-events: none"></a>
                                Saat Ini
                            <!-- </div> -->
                        <!-- </div> -->
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <p>Daftar Daftar Kuisioner Kesiapan Inovasi</p>
                        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                            <div class="btn-group mr-2" role="group" aria-label="First group">
                                <button v-b-tooltip.hover title="Regulasi Inovasi Daerah" type="button" :class="kuisionerStep==1 ? stepAktif : step1" @click.prevent="submitStep(1)">1</button>
                                <button v-b-tooltip.hover title="Ketersediaan SDM Terhadap Inovasi Daerah" type="button" :class="kuisionerStep==2 ? stepAktif : step2" @click.prevent="submitStep(2)">2</button>
                                <button v-b-tooltip.hover title="Dukungan Anggaran" type="button" :class="kuisionerStep==3 ? stepAktif : step3" @click.prevent="submitStep(3)">3</button>
                                <button v-b-tooltip.hover title="Penggunaan IT" type="button" :class="kuisionerStep==4 ? stepAktif : step4" @click.prevent="submitStep(4)">4</button>
                                <button v-b-tooltip.hover title="Bimtek Inovasi" type="button" :class="kuisionerStep==5 ? stepAktif : step5" @click.prevent="submitStep(5)">5</button>
                                <button v-b-tooltip.hover title="Program dan kegiatan inovasi Perangkat Daerah dalam RKPD" type="button" :class="kuisionerStep==6 ? stepAktif : step6" @click.prevent="submitStep(6)">6</button>
                                <button v-b-tooltip.hover title="Keterlibatan Aktor Inovasi" type="button" :class="kuisionerStep==7 ? stepAktif : step7" @click.prevent="submitStep(7)">7</button>
                                <button v-b-tooltip.hover title="Pelaksana Inovasi Daerah" type="button" :class="kuisionerStep==8 ? stepAktif : step8" @click.prevent="submitStep(8)">8</button>
                                <button v-b-tooltip.hover title="Jejaring Inovasi" type="button" :class="kuisionerStep==9 ? stepAktif : step9" @click.prevent="submitStep(9)">9</button>
                                <button v-b-tooltip.hover title="Sosialisasi Inovasi Daerah" type="button" :class="kuisionerStep==10 ? stepAktif : step10" @click.prevent="submitStep(10)">10</button>
                                <button v-b-tooltip.hover title="Pedoman Teknis" type="button" :class="kuisionerStep==11 ? stepAktif : step11" @click.prevent="submitStep(11)">11</button>
                                <button v-b-tooltip.hover title="Kemudahan Informasi Layanan" type="button" :class="kuisionerStep==12 ? stepAktif : step12" @click.prevent="submitStep(12)">12</button>
                                <button v-b-tooltip.hover title="Kemudahan Proses Inovasi Yang Dihasilkan" type="button" :class="kuisionerStep==13 ? stepAktif : step13" @click.prevent="submitStep(13)">13</button>
                                <button v-b-tooltip.hover title="Penyelesaian Layanan Pengaduan" type="button" :class="kuisionerStep==14 ? stepAktif : step14" @click.prevent="submitStep(14)">14</button>
                                <button v-b-tooltip.hover title="Online Sistem" type="button" :class="kuisionerStep==15 ? stepAktif : step15" @click.prevent="submitStep(15)">15</button>
                                <button v-b-tooltip.hover title="Replikasi" type="button" :class="kuisionerStep==16 ? stepAktif : step16" @click.prevent="submitStep(16)">16</button>
                                <button v-b-tooltip.hover title="Kecepatan Inovasi" type="button" :class="kuisionerStep==17 ? stepAktif : step17" @click.prevent="submitStep(17)">17</button>
                                <button v-b-tooltip.hover title="Kemanfaatan Inovasi" type="button" :class="kuisionerStep==18 ? stepAktif : step18" @click.prevent="submitStep(18)">18</button>
                                <button v-b-tooltip.hover title="Monitoring dan Evaluasi Inovasi Daerah" type="button" :class="kuisionerStep==19 ? stepAktif : step19" @click.prevent="submitStep(19)">19</button>
                            </div>
                        </div>
                        <hr>
                        <br>

                        <form class="forms-sample">
                            <div v-if="kuisionerStep==1 ">
                                 <div class="form-group">
                                    <label for="exampleInputEmail1">1. Regulasi Inovasi Daerah</label>
                                    <p style="font-size:12px; text-align: justify;">Regulasi yang menetapkan nama-nama inovasi daerah yang menjadi landasan operasional penerapan Inovasi Daerah</p>
                                    <div class="form-check" v-for="(regulasi_inovasi,index) in regulasiinovasi" :key="index">
                                        <input v-if="regulasi_inovasi.id === currentData.regulasi_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (regulasi_inovasi.id === currentData.regulasi_inovasi_id)?regulasi_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen SK/Peraturan memuat nama-nama inovasi yang sah dan ditandatangani | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>
                                    <div v-for="(file, index) in editfileRegulasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileRegulasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.regulasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==2 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">2. Ketersediaan SDM Terhadap Inovasi Daerah [Kuisioner] </label>
                                    <p style="font-size:12px; text-align: justify;">Jumlah SDM yang melaksanakan inovasi daerah ini. jumlahnya ada berapa orang</p>
                                    <div class="form-check" v-for="(ketersediaan_sdm,index) in ketersediaansdm" :key="index">
                                        <input v-if="ketersediaan_sdm.id === currentData.ketersediaan_sdm_id"  type="text" class="form-control"
                                        :value="
                                        (ketersediaan_sdm.id === currentData.ketersediaan_sdm_id)?ketersediaan_sdm.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: SK Penetapan Kepala Daerah/Kepala Perangkat Daerah | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>
                                    <div v-for="(file, index) in editfileSdms" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileSdms)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.sdm_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==3 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">3. Dukungan Anggaran</label>
                                    <p style="font-size:12px; text-align: justify;">Anggaran inovasi daerah dalam APBD dengan tahapan inisiasi (penyampaian ide, rapat, proposal, penulisan kajian), uji coba (pilot project, perekayasaan, laboratorium lapangan, dan sejenisnya), dan penerapan (penyediaan sarana prasarana, sumber daya manusia dan layanan, bimtek, urusan jenis layanan)</p>
                                    <div class="form-check" v-for="(dukungan_anggaran,index) in dukungananggaran" :key="index">
                                        <input v-if="dukungan_anggaran.id === currentData.dukungan_anggaran_id"  type="text" class="form-control"
                                            :value="
                                            (dukungan_anggaran.id === currentData.dukungan_anggaran_id)?dukungan_anggaran.name:''"
                                            disabled>
                                        </div>
                                    </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen Anggaran yang sah dan memuat program/kegiatan inovasi | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>
                                    <div v-for="(file, index) in editfileDukunganAnggarans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileDukunganAnggarans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.anggaran_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==4 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">4. Penggunaan IT</label>
                                    <p style="font-size:12px; text-align: justify;">Penggunaan IT dalam pelaksanaan Inovasi yang diterapkan</p>
                                    <div class="form-check" v-for="(penggunaan_it,index) in penggunaanit" :key="index">
                                        <input v-if="penggunaan_it.id === currentData.penggunaan_it_id"  type="text" class="form-control"
                                        :value="
                                        (penggunaan_it.id === currentData.penggunaan_it_id)?penggunaan_it.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Link aplikasi dan/atau web dalam bentuk URL | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpg/png/jpeg |</p>

                                    <div v-for="(file, index) in editfileIts" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileIts)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.it_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==5 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">5. Bimtek Inovasi</label>
                                    <p style="font-size:12px; text-align: justify;">Peningkatan kapasitas dan kompetensi pelaksana inovasi daerah</p>
                                    <div class="form-check" v-for="(bimtek,index) in bimtek" :key="index">
                                        <input v-if="bimtek.id === currentData.bimtek_id"  type="text" class="form-control"
                                        :value="
                                        (bimtek.id === currentData.bimtek_id)?bimtek.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: DSK Kegiatan/ Surat Tugas, Daftar Hadir, dan Undangan kegiatan Bimtek | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileBimteks" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileBimteks)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.bimtek_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==6 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">6. Program dan kegiatan inovasi Perangkat Daerah dalam RKPD</label>
                                    <p style="font-size:12px; text-align: justify;">Inovasi Perangkat Daerah telah dituangkan dalam program pembangunan daerah</p>
                                    <div class="form-check" v-for="(program_renstra,index) in programrenstra" :key="index">
                                        <input v-if="program_renstra.id === currentData.program_renstra_id"  type="text" class="form-control"
                                        :value="
                                        (program_renstra.id === currentData.program_renstra_id)?program_renstra.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Bab, Bagian, dan Halaman Dokumen RPJMD/RKPD yang memuat program dan kegiatan inovasi daerah | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileRenstras" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileRenstras)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.renstra_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==7 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">7. Keterlibatan Aktor Inovasi</label>
                                    <p style="font-size:12px; text-align: justify;">Keikutsertaan unsur Stakeholder dalam pelaksanaan inovasi daerah (T-1 dan T-2)</p>
                                    <div class="form-check" v-for="(keterlibatan_aktor,index) in keterlibatanaktor" :key="index">
                                        <input v-if="keterlibatan_aktor.id === currentData.keterlibatan_aktor_id"  type="text" class="form-control"
                                            :value="
                                            (keterlibatan_aktor.id === currentData.keterlibatan_aktor_id)?keterlibatan_aktor.name:''"
                                            disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen pendukung berupa Surat Keputusan Perangkat Daerah/Undangan rapat | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileKeterlibatan" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileJejarings)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.keterlibatan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==8 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">8. Pelaksana Inovasi Daerah</label>
                                    <p style="font-size:12px; text-align: justify;">Penetapan tim pelaksana inovasi daerah</p>

                                    <div class="form-check" v-for="(pelaksana_inovasi,index) in pelaksanainovasi" :key="index">
                                        <input v-if="pelaksana_inovasi.id === currentData.pelaksana_id"  type="text" class="form-control"
                                            :value="
                                            (pelaksana_inovasi.id === currentData.pelaksana_id)?pelaksana_inovasi.name:''"
                                            disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen pendukung berupa Surat Keputusan Perangkat Daerah/Undangan rapat | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfilePelaksana" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileJejarings)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.pelaksana_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==9 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">9. Jejaring Inovasi</label>
                                    <p style="font-size:12px; text-align: justify;">Jumlah Perangkat Daerah yang terlibat dalam penerapan inovasi (dalam 2 tahun terakhir)</p>

                                    <div class="form-check" v-for="(jejaring_inovasi,index) in jejaringinovasi" :key="index">
                                        <input v-if="jejaring_inovasi.id === currentData.jejaring_inovasi_id"  type="text" class="form-control"
                                            :value="
                                            (jejaring_inovasi.id === currentData.jejaring_inovasi_id)?jejaring_inovasi.name:''"
                                            disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: SK/ST tim pengelola/penerapan inovasi daerah | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileJejarings" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileJejarings)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.replikasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==10">
                                <div class="form-group">
                                    <label>10. Sosialisasi Kebijakan Daerah</label>
                                    <p style="font-size:12px; text-align: justify;">Penyebarluasan informasi kebijakan inovasi daerah (2 Tahun Terakhir)</p>

                                    <div class="form-check" v-for="(sosialisasi,index) in sosialisasiinovasi" :key="index">
                                        <input v-if="sosialisasi.id === currentData.sosialisasi_id"  type="text" class="form-control"
                                        :value="
                                        (sosialisasi.id === currentData.sosialisasi_id)?sosialisasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumentasi dan publikasi (Foto/URL website/ Pemberitaan Media Massa elektronik) | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpg/jpeg/png |</p>
                                    <div v-for="(file, index) in editfileSosialisasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileSosialisasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.sosialisasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==11 ">
                                <div class="form-group">
                                    <label>11. Pedoman Teknis</label>
                                    <p style="font-size:12px; text-align: justify;">Ketentuan dasar penggunaan inovasi daerah berupa buku petunjuk/manual book</p>

                                    <div class="form-check" v-for="(pedoman_teknis,index) in pedomanteknis" :key="index">
                                        <input v-if="pedoman_teknis.id === currentData.pedoman_teknis_id"  type="text" class="form-control"
                                        :value="
                                        (pedoman_teknis.id === currentData.pedoman_teknis_id)?pedoman_teknis.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen Manual Book/Buku petunjuk/ Screenshot penggunaan Inovasi Daerah | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpg/jpeg/png |</p>

                                    <div v-for="(file, index) in editfilePedomans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfilePedomans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.pedoman_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==12">
                                <div class="form-group">
                                    <label>12. Kemudahan Informasi Layanan</label>
                                    <p style="font-size:12px; text-align: justify;">Kemudahan mendapatkan informasi layanan</p>

                                    <div class="form-check" v-for="(kemudahan_layanan,index) in kemudahanlayanan" :key="index">
                                        <input v-if="kemudahan_layanan.id === currentData.kemudahan_layanan_id"  type="text" class="form-control"
                                        :value="
                                        (kemudahan_layanan.id === currentData.kemudahan_layanan_id)?kemudahan_layanan.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Nomor layanan telp/ Screenshot Email/Akun media sosial/Nama aplikasi online/Dokumen foto buku tamu layanan | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpg,jpeg,png |</p>

                                    <div v-for="(file, index) in editfileLayanans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileLayanans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.layanan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==13">
                                <div class="form-group">
                                    <label>13. Kemudahan Proses Inovasi Yang Dihasilkan</label>
                                    <p style="font-size:12px; text-align: justify;">Waktu yang diperlukan untuk memperoleh proses penggunaan hasil inovasi</p>

                                    <div class="form-check" v-for="(kemudahan_proses,index) in kemudahanproses" :key="index">
                                        <input v-if="kemudahan_proses.id === currentData.kemudahan_proses_id"  type="text" class="form-control"
                                        :value="
                                        (kemudahan_proses.id === currentData.kemudahan_proses_id)?kemudahan_proses.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: SOP Pelaksanaan Inovasi Daerah | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>
                                    <div v-for="(file, index) in editfileProses" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileProses)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.proses_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==14">
                                <div class="form-group">
                                    <label>14. Penyelesaian Layanan Pengaduan</label>
                                    <p style="font-size:12px; text-align: justify;">Rasio penyelesaian pengaduan dalam tahun terakhir (jumlah pengaduan yang di tindakalnajuti/ jumlah pengaduan keseluruhan x100%)</p>
                                    <div class="form-check" v-for="(layanan_pengaduan,index) in layananpengaduan" :key="index">
                                        <input v-if="layanan_pengaduan.id === currentData.layanan_pengaduan_id"  type="text" class="form-control"
                                        :value="
                                        (layanan_pengaduan.id === currentData.layanan_pengaduan_id)?layanan_pengaduan.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen Foto Kegiatan penyelesaian pengaduan/ Screenshot media layanan pengaduan | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf,jpg,jpeg,png |</p>

                                    <div v-for="(file, index) in editfilePengaduans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfilePengaduans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.pengaduan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==15">
                                <div class="form-group">
                                    <label>15. Online Sistem</label>
                                    <p style="font-size:12px; text-align: justify;">Jaringan prosedur yang dibuat secara daring ( 2 Tahun Terakhir)</p>
                                    <div class="form-check" v-for="(online_sistem,index) in onlinesistem" :key="index">
                                        <input v-if="online_sistem.id === currentData.online_sistem_id"  type="text" class="form-control"
                                        :value="
                                        (online_sistem.id === currentData.online_sistem_id)?online_sistem.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Screenshot aplikasi layanan inovasi | Jenis Data: Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: jpg/jpeg/png |</p>
                                    <div v-for="(file, index) in editfileOnlines" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileOnlines)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.online_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==16 ">
                                <div class="form-group">
                                    <label for="exampleFormControlSelect1">16. Replikasi</label>
                                    <p style="font-size:12px; text-align: justify;">Inovasi Daerah telah direplikasi oleh daerah lain (T-2 sampai dengan T-1)</p>

                                    <div class="form-check" v-for="(replikasi,index) in replikasi" :key="index">
                                        <input v-if="replikasi.id === currentData.replikasi_id"  type="text" class="form-control"
                                        :value="
                                        (replikasi.id === currentData.replikasi_id)?replikasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen MoU/Replikasi | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileReplikasis" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileReplikasis)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.replikasi_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==17">
                                <div class="form-group">
                                    <label>17. Kecepatan Inovasi</label>
                                    <p style="font-size:12px; text-align: justify;">Satuan waktu yang digunakan untuk menciptakan inovasi daerah</p>

                                    <div class="form-check" v-for="(kecepatan_inovasi,index) in kecepataninovasi" :key="index">
                                        <input v-if="kecepatan_inovasi.id === currentData.kecepatan_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (kecepatan_inovasi.id === currentData.kecepatan_inovasi_id)?kecepatan_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Dokumen/Laporan/Proposal inovasi daerah (tahapan-tahapan proses penciptaan inovasi daerah) | Jenis Data: Dokumen | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf |</p>

                                    <div v-for="(file, index) in editfileKecepatans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileKecepatans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>
                                    <input  type="text" class="form-control" v-model="currentData.kecepatan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==18">
                                <div class="form-group">
                                    <label>18. Kemanfaatan Inovasi [Kuisioner] </label>
                                    <p style="font-size:12px; text-align: justify;">Jumlah pengguna atau penerima manfaat inovasi daerah (2 tahun terakhir)</p>

                                    <div class="form-check" v-for="(kemanfaatan_inovasi,index) in kemanfaataninovasi" :key="index">
                                        <input v-if="kemanfaatan_inovasi.id === currentData.kemanfaatan_inovasi_id"  type="text" class="form-control"
                                        :value="
                                        (kemanfaatan_inovasi.id === currentData.kemanfaatan_inovasi_id)?kemanfaatan_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Daftar penerima manfaat inovasi (untuk layanan luring) atau screenshot jumlah pengguna/penerima manfaat inovasi daerah (untuk layanan daring) | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpeg/jpg/png |</p>

                                    <div v-for="(file, index) in editfileKemanfaatans" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileKemanfaatans)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.kemanfaatan_filename" disabled>
                                </div>
                            </div>
                            <div v-if="kuisionerStep==19">
                                <div class="form-group">
                                    <label>19. Monitoring dan Evaluasi Inovasi Daerah </label>
                                    <p style="font-size:12px; text-align: justify;">Kepuasan pelaksanaan penggunaan inovasi daerah (2 Tahun Terakhir)</p>
                                    <div class="form-check" v-for="(monitoring_inovasi,index) in monitoringinovasi" :key="index">
                                        <input v-if="monitoring_inovasi.id === currentData.monitoring_id"  type="text" class="form-control"
                                        :value="
                                        (monitoring_inovasi.id === currentData.monitoring_id)?monitoring_inovasi.name:''"
                                        disabled>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">| Kebutuhan: Screenshot testimoni pengguna (jpeg/jpg/png) atau laporan survei kepuasan masyarakat/laporan hasil penelitian | Jenis Data: Dokumen/Foto/Gambar | Jumlah File (Maksimal): 3 | Tipe File: doc/docx/pdf/jpeg/jpg/png |</p>

                                    <div v-for="(file, index) in editfileMonitoring" :key="index">
                                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                        <br>
                                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                        <br>
                                        <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileEdit(file,index,editfileMonitoring)">Remove</button> -->
                                        <hr/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <p style="font-size:12px; text-align: justify;">Nama file yang anda upload</p>

                                    <input  type="text" class="form-control" v-model="currentData.monitoring_filename" disabled>
                                </div>
                            </div>

                        </form>
                        <br>
                        <button class="btn btn-primary" type="submit" v-if="kuisionerStep!=1?'disabled':''" @click.prevent="submitStep(kuisionerStep-1)">Previous</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="kuisionerStep!=20?'disabled':''" @click.prevent="submitStep(kuisionerStep+1)">Submit & Next</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="kuisionerStep==20" @click.prevent="submitFinish()">Finish</button>
                    </div>
                </div>
            </div>
        </div>
        <button class="btn btn-primary" type="submit"  @click.prevent="back('DataInovasi')">Kembali</button>
    </div>
</template>

<script>
    export default {
        props: ['dataprops'],
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },
        //Binding Data
        data() {
            return {
                component:'ViewKuisioneropd.',
                token:document.head.querySelector('meta[name="csrf-token"]').content,

                currentData:this.initialKuisioner(),
                inovasiData:this.initialInovasi(),
                //initializing property funtion get data
                regulasiinovasi:[],
                ketersediaansdm:[],
                dukungananggaran:[],
                penggunaanit:[],
                bimtek:[],
                programrenstra:[],
                keterlibatanaktor:[],
                pelaksanainovasi:[],
                jejaringinovasi:[],
                sosialisasiinovasi:[],
                pedomanteknis:[],
                kemudahanlayanan:[],
                kemudahanproses:[],
                layananpengaduan:[],
                onlinesistem:[],
                replikasi:[],
                kecepataninovasi: [],
                kemanfaataninovasi: [],
                monitoringinovasi: [],

                //initializing property upload file
                // files: [],
                regulasi_file:[],
                sdm_file:[],
                dukungananggaran_file:[],
                it_file:[],
                bimtek_file:[],
                renstra_file:[],
                keterlibatan_file:[],
                pelaksana_file:[],
                jejaring_file:[],
                sosialisasi_file:[],
                pedoman_file:[],
                layanan_file:[],
                proses_file:[],
                pengaduan_file:[],
                online_file:[],
                replikasi_file:[],
                kecepatan_file:[],
                kemanfaatan_file:[],
                monitoring_file:[],

                // initial remove file when innovator edit kuisioner
                editfileRegulasis:[],
                editfileSdms:[],
                editfileDukunganAnggarans:[],
                editfileIts:[],
                editfileBimteks:[],
                editfileRenstras:[],
                editfileKeterlibatan:[],
                editfilePelaksana:[],
                editfileJejarings:[],
                editfileSosialisasis:[],
                editfilePedomans:[],
                editfileLayanans:[],
                editfileProses:[],
                editfilePengaduans:[],
                editfileOnlines:[],
                editfileReplikasis:[],
                editfileKecepatans:[],
                editfileKemanfaatans:[],
                editfileMonitoring:[],

                //innovation id
                innovation_id:'',

                // image_folder:"iconFile"
                image_folder:"iconFile",

                //Step Inovasi
                checkinovasi:'',
                kuisionerStep:1,
                stepAktif:'btn btn-light',
                step1:'btn btn-danger',
                step2:'btn btn-danger',
                step3:'btn btn-danger',
                step4:'btn btn-danger',
                step5:'btn btn-danger',
                step6:'btn btn-danger',
                step7:'btn btn-danger',
                step8:'btn btn-danger',
                step9:'btn btn-danger',
                step10:'btn btn-danger',
                step11:'btn btn-danger',
                step12:'btn btn-danger',
                step13:'btn btn-danger',
                step14:'btn btn-danger',
                step15:'btn btn-danger',
                step16:'btn btn-danger',
                step17:'btn btn-danger',
                step18:'btn btn-danger',
                step19:'btn btn-danger',
                step20:'btn btn-danger',
                step21:'btn btn-danger',
                step22:'btn btn-danger',
                step23:'btn btn-danger',
            }
        },

        created(){
            this.initial();
            this.initialKuisioner();
            this.initialInovasi();
            this.getRegulasiInovasi();
            this.getKetersediaanSdm();
            this.getDukunganAnggaran();
            this.getPenggunaanIt();
            this.getBimtek();
            this.getProgramRenstra();
            this.getJejaringInovasi();
            this.getReplikasi();
            this.getPedomanTeknis();
            this.getLayananPengaduan();
            this.getKemudahanLayanan();
            this.getKemudahanProses();
            this.getOnlineSistem();
            this.getKecepatanInovasi();
            this.getKemanfaatanInovasi();
            this.getSosialisasi();
            this.getKeterlibatanAktor();
            this.getPelaksanaInovasi();
            this.getMonitoringInovasi();
            // this.submit()
            // this.submitStep(1);
        },

        methods: {
            initial(){
                this.checkinovasi = this.dataprops.data.checkinovasi
                this.editfileRegulasis = JSON.parse(this.dataprops.data.kuisioner.regulasi_file) || []
                this.editfileSdms = JSON.parse(this.dataprops.data.kuisioner.sdm_file) || []
                this.editfileDukunganAnggarans = JSON.parse(this.dataprops.data.kuisioner.dukungananggaran_file) || []
                this.editfileIts = JSON.parse(this.dataprops.data.kuisioner.it_file) || []
                this.editfileBimteks = JSON.parse(this.dataprops.data.kuisioner.bimtek_file) || []
                this.editfileRenstras = JSON.parse(this.dataprops.data.kuisioner.renstra_file) || []
                this.editfileKeterlibatan = JSON.parse(this.dataprops.data.kuisioner.keterlibatan_file) || []
                this.editfilePelaksana = JSON.parse(this.dataprops.data.kuisioner.pelaksana_file) || []
                this.editfileJejarings = JSON.parse(this.dataprops.data.kuisioner.jejaring_file) || []
                this.editfileSosialisasis = JSON.parse(this.dataprops.data.kuisioner.sosialisasi_file) || []
                this.editfilePedomans = JSON.parse(this.dataprops.data.kuisioner.pedoman_file) || []
                this.editfileLayanans = JSON.parse(this.dataprops.data.kuisioner.layanan_file) || []
                this.editfileProses = JSON.parse(this.dataprops.data.kuisioner.proses_file) || []
                this.editfilePengaduans = JSON.parse(this.dataprops.data.kuisioner.pengaduan_file) || []
                this.editfileOnlines = JSON.parse(this.dataprops.data.kuisioner.online_file) || []
                this.editfileReplikasis = JSON.parse(this.dataprops.data.kuisioner.replikasi_file) || []
                this.editfileKecepatans = JSON.parse(this.dataprops.data.kuisioner.kecepatan_file) || []
                this.editfileKemanfaatans = JSON.parse(this.dataprops.data.kuisioner.kemanfaatan_file) || []
                this.editfileMonitoring = JSON.parse(this.dataprops.data.kuisioner.monitoring_file) || []
            },
            initialKuisioner(){
                return {
                    id:this.dataprops.data.kuisioner.id,
                    regulasi_inovasi_id:this.dataprops.data.kuisioner.regulasi_inovasi_id || '',
                    regulasi_file:[],
                    regulasi_filename:this.dataprops.data.kuisioner.regulasi_filename || '',
                    ketersediaan_sdm_id:this.dataprops.data.kuisioner.ketersediaan_sdm_id || '',
                    sdm_file:[],
                    sdm_filename:this.dataprops.data.kuisioner.sdm_filename || '',
                    dukungan_anggaran_id:this.dataprops.data.kuisioner.dukungan_anggaran_id || '',
                    dukungananggaran_file:[],
                    anggaran_filename:this.dataprops.data.kuisioner.anggaran_filename || '',
                    penggunaan_it_id:this.dataprops.data.kuisioner.penggunaan_it_id || '',
                    it_file:[],
                    it_filename:this.dataprops.data.kuisioner.it_filename || '',
                    bimtek_id:this.dataprops.data.kuisioner.bimtek_id || '',
                    bimtek_file:[],
                    bimtek_filename:this.dataprops.data.kuisioner.bimtek_filename || '',
                    program_renstra_id:this.dataprops.data.kuisioner.program_renstra_id || '',
                    renstra_file:[],
                    renstra_filename:this.dataprops.data.kuisioner.renstra_filename || '',
                    keterlibatan_aktor_id:this.dataprops.data.kuisioner.keterlibatan_aktor_id || '',
                    keterlibatan_file:[],
                    keterlibatan_filename:this.dataprops.data.kuisioner.keterlibatan_filename || '',
                    pelaksana_id:this.dataprops.data.kuisioner.pelaksana_id || '',
                    pelaksana_file:[],
                    pelaksana_filename:this.dataprops.data.kuisioner.pelaksana_filename || '',
                    jejaring_inovasi_id:this.dataprops.data.kuisioner.jejaring_inovasi_id || '',
                    jejaring_file:[],
                    jejaring_filename:this.dataprops.data.kuisioner.jejaring_filename || '',
                    sosialisasi_id:this.dataprops.data.kuisioner.sosialisasi_id || '',
                    sosialisasi_file:[],
                    sosialisasi_filename:this.dataprops.data.kuisioner.sosialisasi_filename || '',
                    pedoman_teknis_id:this.dataprops.data.kuisioner.pedoman_teknis_id || '',
                    pedoman_file:[],
                    pedoman_filename:this.dataprops.data.kuisioner.pedoman_filename || '',
                    kemudahan_layanan_id:this.dataprops.data.kuisioner.kemudahan_layanan_id || '',
                    layanan_file:[],
                    layanan_filename:this.dataprops.data.kuisioner.layanan_filename || '',
                    kemudahan_proses_id:this.dataprops.data.kuisioner.kemudahan_proses_id || '',
                    proses_file:[],
                    proses_filename:this.dataprops.data.kuisioner.proses_filename || '',
                    layanan_pengaduan_id:this.dataprops.data.kuisioner.layanan_pengaduan_id || '',
                    pengaduan_file:[],
                    pengaduan_filename:this.dataprops.data.kuisioner.pengaduan_filename || '',
                    online_sistem_id:this.dataprops.data.kuisioner.online_sistem_id || '',
                    online_file:[],
                    online_filename:this.dataprops.data.kuisioner.online_filename || '',
                    replikasi_id:this.dataprops.data.kuisioner.replikasi_id || '',
                    replikasi_file:[],
                    replikasi_filename:this.dataprops.data.kuisioner.replikasi_filename || '',
                    kecepatan_inovasi_id:this.dataprops.data.kuisioner.kecepatan_inovasi_id || '',
                    kecepatan_file:[],
                    kecepatan_filename:this.dataprops.data.kuisioner.kecepatan_filename || '',
                    kemanfaatan_inovasi_id:this.dataprops.data.kuisioner.kemanfaatan_inovasi_id || '',
                    kemanfaatan_file:[],
                    kemanfaatan_filename:this.dataprops.data.kuisioner.kemanfaatan_filename || '',
                    monitoring_id:this.dataprops.data.kuisioner.monitoring_id || '',
                    monitoring_file:[],
                    monitoring_filename:this.dataprops.data.kuisioner.monitoring_filename || '',
                }
            },
            initialInovasi(){
                return{
                    id:this.dataprops.data.id,
                    status: this.dataprops.data.status,
                    checkinovasi: this.dataprops.data.checkinovasi,
                }
            },

            //function to get all data from laravel route (Frontend/Home)
            //opd
            getKeterlibatanAktor() {
                axios.get('get/keterlibatanaktor').then(response => {
                   this.keterlibatanaktor = response.data
                })
            },
            getPelaksanaInovasi() {
                axios.get('get/pelaksanainovasi').then(response => {
                   this.pelaksanainovasi = response.data
                })
            },
            getMonitoringInovasi() {
                axios.get('get/monitoringinovasi').then(response => {
                   this.monitoringinovasi = response.data
                })
            },

            getRegulasiInovasi() {
                axios.get('get/regulasiinovasi').then(response => {
                   this.regulasiinovasi = response.data
                })
            },
            getKetersediaanSdm() {
                axios.get('get/ketersediaansdm').then(response => {
                   this.ketersediaansdm = response.data
                })
            },
            getDukunganAnggaran() {
                axios.get('get/dukungananggaran').then(response => {
                   this.dukungananggaran = response.data
                })
            },
            getPenggunaanIt() {
                axios.get('get/penggunaanit').then(response => {
                   this.penggunaanit = response.data
                })
            },
            getBimtek() {
                axios.get('get/bimtek').then(response => {
                   this.bimtek = response.data
                })
            },
            getProgramRenstra() {
                axios.get('get/programrenstra').then(response => {
                   this.programrenstra = response.data
                })
            },
            getJejaringInovasi() {
                axios.get('get/jejaringinovasi').then(response => {
                   this.jejaringinovasi = response.data
                })
            },
            getReplikasi() {
                axios.get('get/replikasi').then(response => {
                   this.replikasi = response.data
                })
            },
            //
            getPedomanTeknis() {
                axios.get('get/pedomanteknis').then(response => {
                   this.pedomanteknis = response.data
                })
            },
            getLayananPengaduan() {
                axios.get('get/layananpengaduan').then(response => {
                   this.layananpengaduan = response.data
                })
            },
            getKemudahanLayanan() {
                axios.get('get/kemudahanlayanan').then(response => {
                   this.kemudahanlayanan = response.data
                })
            },
            getKemudahanProses() {
                axios.get('get/kemudahanproses').then(response => {
                   this.kemudahanproses = response.data
                })
            },
            getOnlineSistem() {
                axios.get('get/onlinesistem').then(response => {
                   this.onlinesistem = response.data
                })
            },
            getKecepatanInovasi() {
                axios.get('get/kecepataninovasi').then(response => {
                   this.kecepataninovasi = response.data
                })
            },
            getKemanfaatanInovasi() {
                axios.get('get/kemanfaataninovasi').then(response => {
                   this.kemanfaataninovasi = response.data
                })
            },
            getSosialisasi() {
                axios.get('get/sosialisasiinovasi').then(response => {
                   this.sosialisasiinovasi = response.data
                })
            },

            submitStep(step){
                this.kuisionerStep = step
                // this.submit()
            },

            submitFinish(){
                this.toNextComponent('DataInovasi')
            },

            back(visit){

                let data = {
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },
            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },

            //get file
            getFile(link){
            //   return `/${this.image_folder}/${link}`
              return `/${this.image_folder}/file.png`
            },
            getFileEdit(link){
                let extension = link.substr(link.lastIndexOf('.') + 1)
                if (extension==='jpg' || extension==='jpeg' || extension==='png' || extension==='webp') {
                    return `/${link}`
                }else{
                    return `/${this.image_folder}/file.png`
                }
            },
        },
    }
</script>

<style>

</style>
